Package it.ernytech.tdlib

## Class TdApi.GetRemoteFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetRemoteFile

Enclosing class:
  TdApi

    public static class TdApi.GetRemoteFile
    extends TdApi.Function

Returns information about a file by its remote ID; this is an offline request. Can be used to register a URL as a file for further uploading, or sending as a message.

Returns `File`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.FileType` `fileType` File type, if known.
`java.lang.String` `remoteFileId` Remote identifier of the file to get.

### Constructor Summary

Constructors
`GetRemoteFile()` Default constructor.
`GetRemoteFile​(java.lang.String remoteFileId, TdApi.FileType fileType)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### remoteFileId

    public java.lang.String remoteFileId

Remote identifier of the file to get.

#### fileType

    public TdApi.FileType fileType

File type, if known.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetRemoteFile

    public GetRemoteFile()

Default constructor.

#### GetRemoteFile

    public GetRemoteFile​(java.lang.String remoteFileId,
                         TdApi.FileType fileType)

Constructor for initialization of all fields.

Parameters:
  `remoteFileId` - Remote identifier of the file to get.
  `fileType` - File type, if known.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR